---
title: ReportingObserver.disconnect()
slug: Web/API/ReportingObserver/disconnect
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Reporting API
  - ReportingObserver
---
<div>{{APIRef("Reporting API")}}{{seecompattable}}</div>

<p>The <strong><code>disconnect()</code></strong> method of the {{domxref("ReportingObserver")}} interface stops a reporting observer that had previously started observing from collecting reports.</p>

<p>After calling <code>disconnect()</code>, neither {{domxref("ReportingObserver.takeRecords()")}} nor the <code>records</code> parameter of the <code><a href="/en-US/docs/Web/API/ReportingObserver/ReportingObserver">ReportingObserver()</a></code> callback will return any reports. The associated observer will no longer be active.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>reportingObserverInstance</em>.disconnect()
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  reportBtn.onclick = () =&gt; displayReports(reports);
}, options);

observer.observe()

...

observer.disconnect()
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Reporting API','#dom-reportingobserver-disconnect','ReportingObserver.disconnect()')}}</td>
   <td>{{Spec2('Reporting API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ReportingObserver.disconnect")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
